
QGIS Application - Bug report #13970

Relation reference widget does not retain values

2015-12-10 02:44 AM - Grga Franges

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21984

Description

After a relation reference widget is filled, form closed and layer edits saved, the id of related feature is saved in the attribute table. But, on

additional opening of the form, relation reference widget is not filled with correct values, instead showing the last entry in the parent

relation.

This defeats the whole purpose of the widget. 

If i remember correctly this was working fine in the 2.10 but i cannot confirm because i no longer have it installed.

I'm enclosing screenshots: 

- on "before" image the value is entered. Coresponding id (14) is saved in the attribute table.

- on "after" image the form is reopened and the relation reference widget loads the data for last entry in parent reference (id: 27)

Related issues:

Related to QGIS Application - Bug report # 14162: Cannot set parent to NULL i... Closed 2016-01-24

History

#1 - 2016-01-25 12:40 PM - Grga Franges

- Assignee set to Matthias Kuhn

#2 - 2016-02-25 02:34 PM - Sebastian Dietrich

- Affected QGIS version changed from 2.12.0 to master

- Operating System deleted (Windows)

- Category changed from Forms to Relations

- File QgisRelationWidgetNull.PNG added

The behaviour seems to have changed from showing the last entry to showing the NULL entry.

QgisRelationWidgetNull.PNG

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

before.png 77.9 KB 2015-12-10 Grga Franges

after.png 77.2 KB 2015-12-10 Grga Franges

QgisRelationWidgetNull.PNG 11.8 KB 2016-02-25 Sebastian Dietrich
